Loading...
Searching...
No Matches
Halide::Internal::Evaluate Struct Reference

Evaluate and discard an expression, presumably because it has some side-effect. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Evaluate:

## Static Public Member Functions

static Stmt | make (Expr v)

## Public Attributes

Expr | value
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::Evaluate

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::StmtNode< Evaluate >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Evaluate and discard an expression, presumably because it has some side-effect.

Definition at line 476 of file IR.h.

## Member Function Documentation

## make()

Stmt Halide::Internal::Evaluate::make | ( | Expr | v | ) |

static

## Member Data Documentation

## value

Expr Halide::Internal::Evaluate::value

Definition at line 477 of file IR.h.

## _node_type

const IRNodeType Halide::Internal::Evaluate::_node_type = IRNodeType::Evaluate

static

Definition at line 481 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h